Get providers
Retrieve a list of all available external providers supporting trading activities through the platform.
Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
For detailed information about error codes and troubleshooting, please refer to our API Error Codes documentation.
GET
/
trading
/
providers
TypeScript
const response: Promise<FireblocksResponse<ProvidersListResponse>> = fireblocks.trading.getTradingProviders(tradingApiGetTradingProvidersRequest);CompletableFuture<ApiResponse<ProvidersListResponse>> response = fireblocks.trading().getTradingProviders(pageSize, pageCursor);response = fireblocks.trading.get_trading_providers(page_size, page_cursor);curl --request GET \
--url https://api.fireblocks.io/v1/trading/providersconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/trading/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/trading/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/trading/providers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/trading/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "BRIDGE",
"name": "Bridge",
"logo": "https://example.com/logos/bridge.png",
"accountBased": true,
"manifest": {
"order": {
"supported": true,
"executionTypes": [
"MARKET"
],
"settlementTypes": [
"DVP"
]
},
"quote": {
"supported": false
},
"rate": {
"supported": true
}
},
"connected": true,
"accounts": [
{
"id": "acc_5e9a2d1c4b7f3e8a",
"name": "Main Trading Account"
}
]
},
{
"id": "UNISWAP_CLASSIC",
"name": "Uniswap Classic",
"logo": "https://example.com/logos/uniswap.png",
"accountBased": false,
"manifest": {
"order": {
"supported": true,
"executionTypes": [
"MARKET"
],
"settlementTypes": [
"PREFUNDED"
]
},
"quote": {
"supported": false
},
"rate": {
"supported": true
}
},
"approved": true,
"hasTermsOfService": true,
"termsOfServiceUrl": "https://uniswap.org/terms"
}
],
"total": 2,
"next": "cursor_abc123def456"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"message": "<string>",
"code": 123
}Query Parameters
Page size for pagination.
Required range:
1 <= x <= 100Page cursor for pagination.
Response
Providers response
List of available providers
Provider integrated via Fireblocks connected accounts (accountBased is true).
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
{
"id": "BRIDGE",
"name": "Bridge",
"logo": "https://example.com/logos/bridge.png",
"accountBased": true,
"manifest": {
"order": {
"supported": true,
"executionTypes": ["MARKET"],
"settlementTypes": ["DVP"]
},
"quote": { "supported": false },
"rate": { "supported": true }
},
"connected": true,
"accounts": [
{
"id": "acc_5e9a2d1c4b7f3e8a",
"name": "Main Trading Account"
}
]
}
Total number of providers matching the query.
A cursor for the next page of results, if available.
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ProvidersListResponse>> = fireblocks.trading.getTradingProviders(tradingApiGetTradingProvidersRequest);CompletableFuture<ApiResponse<ProvidersListResponse>> response = fireblocks.trading().getTradingProviders(pageSize, pageCursor);response = fireblocks.trading.get_trading_providers(page_size, page_cursor);curl --request GET \
--url https://api.fireblocks.io/v1/trading/providersconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/trading/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/trading/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/trading/providers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/trading/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "BRIDGE",
"name": "Bridge",
"logo": "https://example.com/logos/bridge.png",
"accountBased": true,
"manifest": {
"order": {
"supported": true,
"executionTypes": [
"MARKET"
],
"settlementTypes": [
"DVP"
]
},
"quote": {
"supported": false
},
"rate": {
"supported": true
}
},
"connected": true,
"accounts": [
{
"id": "acc_5e9a2d1c4b7f3e8a",
"name": "Main Trading Account"
}
]
},
{
"id": "UNISWAP_CLASSIC",
"name": "Uniswap Classic",
"logo": "https://example.com/logos/uniswap.png",
"accountBased": false,
"manifest": {
"order": {
"supported": true,
"executionTypes": [
"MARKET"
],
"settlementTypes": [
"PREFUNDED"
]
},
"quote": {
"supported": false
},
"rate": {
"supported": true
}
},
"approved": true,
"hasTermsOfService": true,
"termsOfServiceUrl": "https://uniswap.org/terms"
}
],
"total": 2,
"next": "cursor_abc123def456"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"message": "<string>",
"code": 123
}